IXPIDE(4) | Kernel Interfaces Manual | IXPIDE(4)

# NAME

ixpide — PCI IDE disk controllers driver

# SYNOPSIS

ixpide* at pci? dev ? function ? flags 0x0000

# DESCRIPTION

The ixpide driver supports the ATI Technologies IXP IDE controller, and provides the interface with the hardware for the ata(4) driver.

The 0x0002 flag forces the ixpide driver to disable DMA on chipsets for which DMA would normally be enabled. This can be used as a debugging aid, or to work around problems where the IDE controller is wired up to the system incorrectly.

# HARDWARE

The supported IDE controllers are

- ATI SB200
- ATI SB300
- ATI SB400, Parallel ATA
- ATI SB400, Serial ATA
- ATI SB700, Serial and Parallel ATA

# SEE ALSO

ata(4), atapi(4), intro(4), pci(4), pciide(4), wd(4), wdc(4)

# CAVEATS

Some SB700 controllers can hang under load when Native IDE mode is selected in the system BIOS, but work fine in AHCI mode.

October 16, 2008 | NetBSD 6.0